Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ACause

All Superinterfaces:
  AAct, ACommand, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ACauseImpl

    public interface ACause

extends ACommand

A representation of the model object ' ACause'.

The following features are supported:

- `Result`

See Also:
  `MetaABMActPackage.getACause()`

Method Summary
`ARoot` | `getResult()` Returns the value of the 'Result' reference.
`void` | `setResult(ARoot value)` Sets the value of the '`Result`' reference.

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResult

    ARoot getResult()

  Returns the value of the 'Result' reference.

  If the meaning of the 'Result' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Result' reference.
  See Also:
    `setResult(ARoot)`, `MetaABMActPackage.getACause_Result()`

### setResult

    void setResult(ARoot value)

  Sets the value of the '`Result`' reference.

  Parameters:
    `value` - the new value of the 'Result' reference.
  See Also:
    `getResult()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD